X-Git-Url: https://git.madduck.net/etc/mailfilter.git/blobdiff_plain/ff92db2e5401f79a2721d2ffc20cbd21cb15f109..18483c88c75a959874a78ff310ffeb5eab00646d:/bin/resubmit

diff --git a/bin/resubmit b/bin/resubmit
index 63f8a02..17888f9 100755
--- a/bin/resubmit
+++ b/bin/resubmit
@@ -2,11 +2,16 @@
 set -eu
 
 PROCMAIL=$HOME/.etc/mailfilter/procmail/procmailrc
+FORMAIL="/usr/bin/formail -I'X-Resubmitted: $(date -R)'"
 
-if [ -z "$1" ]; then
-  cat | exec $PROCMAIL
+if [ -z "${1:-}" ]; then
+  eval $FORMAIL | exec $PROCMAIL
 else
-  $PROCMAIL < "$1" && rm -f "$1"
+  if [ ! -f "$1" ]; then
+    echo "E: no such file: $1" >&2
+    exit 1
+  fi
+  eval $FORMAIL < "$1" | $PROCMAIL && rm -f "$1"
 fi
 
 exit 0